Subject: bug#78953: 31.0.50; tab-bar-format-align-right alignment breaks if field widths change

From: Juri Linkov <[email-masked]>
Date: Sun, 13 Jul 2025 09:52:10 +0300

> Indeed, the patch seems simple enough. I am unsure about reusing the
> option. If I understand correctly `auto-resize-tab-bars' is about
> resizing the height according to the face? I think we want to control
> both things separately, truncation and resizing of the height. Therefore
> I would rather add another option `truncate-tab-bars'. What do you
> think?

The name `auto-resize-tab-bars' was created for compatibility
with the `auto-resize-tool-bars'.  But for new variables better
to use the prefix `tab-bar-'.  Then the name would be `tab-bar-truncate'.